<!DOCTYPE html>

<html>

<head>
  <title>jQuery - Tooltips</title>
  <meta charset="UTF-8">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
  <script src="js/bowser.min.js"></script>
  <script src="js/js4u.js"></script>
  <link rel="stylesheet" href="css/css4u.css">
  <script type="text/javascript">
  </script>
</head>
<body>
  <header></header>
  <main>
    <div class="center">
      <span class="tooltipTop button" title="The <b>Tooltip</b>">tooltipTop</span>
      <span class="tooltipTop button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt.">tooltipTop</span>
      <span class="tooltipBottom button" title="The <b>Tooltip</b>">tooltipBottom</span>
      <span class="tooltipBottom button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipBottom</span>
    </div>
    <div class="left">
    <span class="tooltipRight button" title="The <b>Tooltip</b>">tooltipRight</span>
    </div>
    <div class="middle">
      <span class="tooltipTop button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipMiddleTop</span>
    </div>
    <div class="middle">
      <span class="tooltipLeft button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipMiddleLeft</span>
    </div>
    <div class="middle">
      <span class="tooltipRight button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipMiddleRight</span>
    </div>
    <div class="middle">
      <span class="tooltipBottom button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipMiddleBottom</span>
    </div>
    <div class="right">
      <span class="tooltipLeft button" title="The <b>Tooltip</b>">tooltipLeft</span>
    </div>
    <p>
      Den Elementen können folgende CSS Klassen vergeben werden:<br />
      <b>tooltipRight</b> - Der Tooltip erscheint auf der rechten Seite des Elements, der Pfeil des Tooltips auf der linken Seite des Tooltips.<br />
      <b>tooltipLeft</b> - Der Tooltip erscheint auf der linken Seite des Elements, der Pfeil des Tooltips auf der rechten Seite des Tooltips.<br />
      <b>tooltipTop</b> - Der Tooltip erscheint oberhalb des Elements, der Pfeil des Tooltips auf der unteren Seite des Tooltips.<br />
      <b>tooltipBottom</b> - Der Tooltip erscheint unterhalb des Elements, der Pfeil des Tooltips auf der oberen Seite des Tooltips.<br /><br />

      Ist auf der Seite, auf der der Tooltip erscheinen soll kein Platz mehr, wird der Tooltip automatisch auf der gegenüberliegenden Seite angezeigt.<br /><br />

      Soll die Position des Tooltips zum Element verändert werden kann diese in dem jq-Code angepasst werden.<br />
      my bezieht sich hier immer auf das Element. my: 'left center' würde z.B. bedeuten, dass da Element links vom Tooltip zentriert stehen soll.
    </p>
    <div class="center bottom">
      <span class="tooltipTop button" title="The <b>Tooltip</b>">tooltipTop</span>
      <span class="tooltipTop button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt.">tooltipTop</span>
      <span class="tooltipBottom button" title="The <b>Tooltip</b><br />Ein Toooltip der auch HTML Formatierungen verträgt">tooltipBottom</span>
      <span class="tooltipBottom button" title="The <b>Tooltip</b>">tooltipBottom</span>
    </div>
  </main>
  <footer>&copy &#64; 4uweb</footer>
</body>

</html>