jQuery(function ($) {
  console.log('now you can use the dollar sign $');
  console.log('ready!');

  (function() {
    /**
     * Set browserclasses & versions into the body tag, like:
     * class="msie msie10" @ Internet Explorer 10
     * class="chrome chrome35" @ Google Chrome 35.5
     * script from https://github.com/ded/bowser
     * in templatefolder/javascript/browser.js
     */
    var browserVersion = Math.floor(bowser.version); // integer abgerundet ohne Nachkommastellen
    var bowserKeys = Object.keys(bowser);
    var browser = bowserKeys[1];
    if(typeof browserVersion === 'undefined'){
      browserVersion = 'x';
    }
    $('body').addClass(browser);
    $('body').addClass(browser+browserVersion);
  })();

  $('.tooltipLeft').tooltip({
    position: {
      my: 'right center', at: 'left-20 center',
      using: function( position, feedback ) {
        $( this ).css( position );
        $( "<div>" )
          .addClass('arrow')
          .addClass(feedback.vertical)
          .addClass(feedback.horizontal)
          .appendTo(this);
      }
    },
    content: function () {
      return $(this).prop('title');
    }
  });
  $('.tooltipRight').tooltip({
    position: {
      my: 'left center', at: 'right+20 center',
      using: function( position, feedback ) {
        $( this ).css( position );
        $( "<div>" )
          .addClass('arrow')
          .addClass(feedback.vertical)
          .addClass(feedback.horizontal)
          .appendTo(this);
      }
    },
    content: function () {
      return $(this).prop('title');
    }
  });

  $('.tooltipTop').tooltip({
    position: {
      my: 'bottom', at: 'top-20px',
      using: function( position, feedback ) {
        $( this ).css( position );
        $( "<div>" )
          .addClass('arrow')
          .addClass('arrowBottom')
          .addClass(feedback.vertical)
          .addClass(feedback.horizontal)
          .appendTo(this);
      }
    },
    content: function () {
      return $(this).prop('title');
    }
  });
  $('.tooltipBottom').tooltip({
    position: {
      my: 'top', at: 'bottom+20px',
      using: function( position, feedback ) {
        $( this ).css( position );
        $( "<div>" )
          .addClass('arrow')
          .addClass('arrowTop')
          .addClass(feedback.vertical)
          .addClass(feedback.horizontal)
          .appendTo(this);
      }
    },
    content: function () {
      return $(this).prop('title');
    }
  });

});